[arch-commits] Commit in kdevelop/trunk (PKGBUILD)

Pierre Schmitz pierre at archlinux.org
Thu Jul 24 21:48:42 EDT 2008


    Date: Thursday, July 24, 2008 @ 21:48:42
  Author: pierre
Revision: 6556

upgpkg: kdevelop 3.5.2-4

Modified:
  kdevelop/trunk/PKGBUILD

----------+
 PKGBUILD |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-25 01:31:19 UTC (rev 6555)
+++ PKGBUILD	2008-07-25 01:48:42 UTC (rev 6556)
@@ -5,12 +5,12 @@
 
 pkgname=kdevelop
 pkgver=3.5.2
-pkgrel=3
+pkgrel=4
 pkgdesc="A C/C++ development environment for KDE - stable snapshot build"
 arch=('i686' 'x86_64')
 url="http://www.kdevelop.org/"
 license=('GPL')
-depends=('kdelibs>=3.5.9' 'kdebase>=3.5.9' 'kdesdk>=3.5.9' 'flex>=2.5.4' 'gcc' 'perl' 'make' 
+depends=('kdelibs3>=3.5.9' 'flex>=2.5.4' 'gcc' 'perl' 'make' 
          'automake>=1.6' 'autoconf>=2.52' 'gettext' 'db>=4.7' 'cvs' 'subversion')
 replaces=('kdevelop3-cvs') # compatibility reasons
 conflicts=('kdevelop-devel')
@@ -27,10 +27,10 @@
 build() {
    # Source the QT and KDE profile
    [ "$QTDIR" = "" ] && source /etc/profile.d/qt3.sh 
-   [ "$KDEDIR" = "" ] && source /etc/profile.d/kde.sh
+   [ "$KDEDIR" = "" ] && source /etc/profile.d/kde3.sh
    # start building
    cd ${startdir}/src/${pkgname}-${pkgver}
-   ./configure --prefix=/opt/kde --enable-gcc-hidden-visibility || return 1
+   ./configure --prefix=/opt/kde --enable-gcc-hidden-visibility --without-arts || return 1
    make || return 1
    make DESTDIR=$startdir/pkg install || return 1
    rm -f ${startdir}/pkg/opt/kde/bin/extractrc





More information about the arch-commits mailing list